
/*
Some additions to the Anders Norlander's w32api headers
Copyright (C) 2000 Antti Markus (antti@pld.ttu.ee)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef gnuH
#define gnuH

/*********************************************************
All the stuff that is missing from mingw32 WIN32  headers
**********************************************************/

/*rebar style flags*/
#define RBIM_IMAGELIST  1
#define RBS_TOOLTIPS    256
#define RBS_VARHEIGHT   512
#define RBS_BANDBORDERS 1024
#define RBS_FIXEDORDER  2048

#define ICC_LISTVIEW_CLASSES 1    /* listview, header */
#define ICC_TREEVIEW_CLASSES 2    /* treeview, tooltips */
#define ICC_BAR_CLASSES      4    /* toolbar, statusbar, trackbar, tooltips */
#define ICC_TAB_CLASSES      8    /* tab, tooltips */
#define ICC_UPDOWN_CLASS     16   /* updown */
#define ICC_PROGRESS_CLASS   32   /* progress */
#define ICC_HOTKEY_CLASS     64   /* hotkey */
#define ICC_ANIMATE_CLASS    128  /* animate */
#define ICC_WIN95_CLASSES    255
#define ICC_DATE_CLASSES     256  /* month picker, date picker, time picker, updown */
#define ICC_USEREX_CLASSES   512  /* extended combobox */
#define ICC_COOL_CLASSES     1024 /* rebar (coolbar) control */


/*Extended combobox constants*/
#define CBEIF_TEXT              1
#define CBEIF_IMAGE             2
#define CBEIF_SELECTEDIMAGE     4
#define CBEIF_OVERLAY           8
#define CBEIF_INDENT            16
#define CBEIF_LPARAM            32

/*rebar band mask flags*/
#define RBBIM_STYLE       1
#define RBBIM_COLORS      2
#define RBBIM_TEXT        4
#define RBBIM_IMAGE       8
#define RBBIM_CHILD       16
#define RBBIM_CHILDSIZE   32
#define RBBIM_SIZE        64
#define RBBIM_BACKGROUND  128
#define RBBIM_ID          256

/*rebar style flags*/
#define RBBS_BREAK      1   /* break to new line */
#define RBBS_FIXEDSIZE  2   /* band can't be sized */
#define RBBS_CHILDEDGE  4   /* edge around top & bottom of child window */
#define RBBS_HIDDEN     8   /* don't show */
#define RBBS_NOVERT     16  /* don't show when vertical */
#define RBBS_FIXEDBMP   32  /* bitmap doesn't move during band resize */

#define CBEM_INSERTITEM (1025)

#define TBSTYLE_FLAT    2048

#ifndef HANDLE_WM_GETMINMAXINFO
#define HANDLE_WM_GETMINMAXINFO(h, w, l, fn) __CRACK_ZERO_F((fn), ((hwnd), (LPMINMAXINFO)(lParam)))
#endif

#ifndef _MAX_PATH
#define _MAX_PATH MAX_PATH
#endif

#ifndef _MAX_FNAME
#define MAX_FNAME 256
#define _MAX_FNAME MAX_FNAME
#endif

#ifndef _MAX_EXT
#define MAX_EXT 256
#define _MAX_EXT MAX_EXT
#endif

typedef struct _COMBOBOXEXITEM
{
    UINT mask;
    int iItem;
    LPSTR pszText;
    int cchTextMax;
    int iImage;
    int iSelectedImage;
    int iOverlay;
    int iIndent;
    LPARAM lParam;
} COMBOBOXEXITEM, *PCOMBOBOXEXITEM;


//typedef NMHDR *LPNMHDR, PNMHDR;
typedef MINMAXINFO *LPMINMAXINFO;

#endif
